Subject: Re: [nemo] new draft

From: Mazen TLAIS <[email-masked]>
Date: Wed, 1 Sep 2004 16:32:27 +0200 (CEST)

--- Mattias Pettersson
<[email-masked]> a écrit : 
> 
> 
> Mazen TLAIS wrote:
> > Hi Mattias,
> > 
> > Here are some responses for your comments
> > 
> > 
> >>You seem to assume that there is a suitable point
> in
> >>a typical access 
> >>network where an ARC can be placed. From your
> draft
> >>I can't be sure what 
> >>security relationships that are required, but if
> the
> >>ARC needs security 
> >>relationships with many ARs this in general
> creates
> >>scalability 
> >>problems.
> > 
> > Updating messages sent by MR to ARC need 
> > security relationships. I'm not sure about ARs.
> > 
> > 
> > 
> >>My general assumption is that in order to
> >>benefit from 
> >>multihoming, an MR would connect to various access
> >>networks of different 
> >>technologies. That would mean that ARs belong to
> >>different domains. The 
> >>nature of multihoming is to connect to the network
> >>in topological 
> >>locations far from each other, often even
> completely
> >>unrelated 
> >>locations. That is what makes the placement of an
> >>ARC difficult, as it 
> >>is meant to be near the different ARs. But I may
> >>have misinterpreted 
> >>your architecture.
> > 
> > If the AR is registered within an ARC, then 
> > this later can manage the AR. It's not a location
> > question.
> 
> Continuing my assumption that there is a need for
> security associations 
> between AR and ARC, if an AR is located in a
> different administrative 
> domain than where the ARC is located, this generally
> creates scalability 
> problems.
> 
> Maybe you can line out what messages each entity
> sends to other 
> entities, and what state change each message will
> cause at the receiver? 
> Any state change must be authorized.

When a MR sends a registration message
(HRMMN_RegReq)to AR, this later must send to ARC a
message (HRMMN_ARC_Cache_Update)to update the ARC's
cache (ARC_Cache). ARC must authentificate the
received message, then it refreshes its cache to take
into account the flows of the novel MR.

Moreover, a MR sends to ARC a list of detected ARs in
its neighborhood (HRMMN_ARC_Cache_Update message). ARC
must authentificate the received message, then it
calculates preferences values that must be send to MR
in the acknowlodgement message(HRMMN_ARC_Cache_
Acknowledgment message).

I think that we need to authententificate and ensure
the integrity of the received messages.

Mazen

		
Vous manquez d’espace pour stocker vos mails ? 
Yahoo! Mail vous offre GRATUITEMENT 100 Mo !
Créez votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Le nouveau Yahoo! Messenger est arrivé ! Découvrez toutes les nouveautés pour dialoguer instantanément avec vos amis. A télécharger gratuitement sur http://fr.messenger.yahoo.com